4

I know if elementary Juno still development, but for waiting new version i want to ask ease way to upgrade without clean install?

1

There is no upgrade path from Loki to Juno (at least for now).

As Juno is not yet released you also can´t really install it now. You could install Ubuntu 18.04 and use the unstable PPA to setup an environment very similar to Juno, but that is not recommended unless you are an developer.

  • Could you update your answer? Mention that Juno is available. (Clean install recommended) – Peter Uithoven Nov 22 '18 at 17:29
1

Long story short, the team recommends doing a clean install.

You could also try using a backup tool like Aptik, but when upgrading this will requires a couple of advanced extra steps.

  1. Use Aptik to backup almost everything to an external disk. Exclude the Dconf database, because this will most likely include version specific information and structures. (This is one of the checkboxes in Easy mode).
  2. Do a clean install of the new version of elementary OS.
  3. Use Aptik to restore everything from the external disk.
  4. Go through your repositories (ppa's) and remove the ones that are unused or unsupported.
    1. Run the following command to pretty print your current repositories:
      grep -r --include '*.list' '^deb ' /etc/apt/ | sed -re 's/^\/etc\/apt\/sources\.list((\.d\/)?|(:)?)//' -e 's/(.*\.list):/\[\1\] /' -e 's/deb http:\/\/ppa.launchpad.net\/(.*?)\/ubuntu .*/ppa:\1/'
    2. Go through them and update or remove all repositories which ubuntu code name doesn't match the codename of your new version. (If you don't know how, you should probably not be doing this)
    3. Attempt running sudo apt update.
    4. Remove repo's that can't be retrieved.

I've not tried this myself but one could also try not backupping the Repo's and Packages, but then you'll need to reinstall them manually on the new version.

I'm definitely open for better ideas on the packages and repo's.

0

There is a project page for it on GitHub, but everything there is still on the to-do list. We would need some word from the project lead as to whether this will certainly be implemented, and if so, when can one expect it relative to Juno's release.

https://github.com/orgs/elementary/projects/20

-1

elementary OS does not officially support an upgrade from 0.4 to 5.0.

That being said elementary OS is based on Ubuntu which is based on Debian. So the Debian upgrade path should work, right?

Big fat disclaimer: This is for experienced users and is obviously unsupported. It might break your system or it might leave your system in a way that is almost-but-not-exactly elementary OS 5.0. If something doesn't work quite right after the upgrade, don't expect help from the nice folks from elementary, who specifically chose not to support this kind of upgrade.

I did the following in a VM and it worked flawlessly for my installation.

  1. Update all packages and make a backup!

  2. Save all your work and logout (so you get to the login screen)

  3. Drop to a console terminal with Ctrl + Alt + F1; Do NOT do the following in a UI terminal, it will most probably fail and leave you with a broken system
  4. Login and start a root shell with sudo -s
  5. Stop the UI: systemctl stop lightdm
  6. You need to update /etc/apt/sources.list and /etc/apt/sources.list.d/{appcenter,elementary,patches}: Change every occurence of xenial in those 4 files to bionic. Save and exit your editor.
  7. apt update
  8. apt dist-upgrade When it asks you about a modified config file, install the new one with 'Y'
  9. reboot

If everything went well, you will boot into your updated elementary OS 5.0. I can't tell if the experience is exactly the same, but to me it looked perfectly fine and I couldn't find anything that doesn't seem right, other than some missing app icons on the dock that were previously there. That is a quick fix, though. Just add them back with drag'n'drop.

  • Don't do this. If you look at the following project you'll notice that it's more than updating the sources. github.com/orgs/elementary/projects/20 You'll be much better of using a tool like Aptik. (don't backup the dconf database) – Peter Uithoven Nov 11 '18 at 19:14
  • It worked for me perfectly fine and I am using this system regularly. I clearly stated that this method is not supported. And indeed the OP asked specifically about a way to upgrade without clean install. – Michael Kanis Dec 14 '18 at 12:51

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.